# file-jbig2pdf

GIMP 3.0 plug-in for exporting JBIG2-encoded PDF files

## Usage

file-jbig2pdf has only been tested on Linux. It requires [jbig2enc](https://github.com/agl/jbig2enc) version 0.28 to be installed, and its *jbig2* and *pdf.py* commands to be available on PATH.

Install *file-jbig2pdf.py* at *$HOME/.config/GIMP/3.0/plug-ins/file-jbig2pdf/file-jbig2pdf.py* and ensure that the file is executable.

Set up your GIMP image as desired in the standard fashion for PDF export (one layer per page, bottom layer first) and under *File* → *Export As…*, expand *Select File Type (By Extension)* and select *Portable Document Format (JBIG2)*.

## Licence

Copyright © 2024  Lee Yingtong Li (RunasSudo)

Loosely adapted from GIMP file-openraster.py – Copyright © 2009 by Jon Nordby \<jononor@gmail.com\>, licensed under the GPLv3\
In turn based on MyPaint source code by Martin Renold

Licensed under the GNU General Public License version 3 or later.
